CREATE TABLE DATA (
	ID VARCHAR(255) NOT NULL,
	THREAD INTEGER NOT NULL,
	RUN INTEGER NOT NULL,
	TEST INTEGER NOT NULL,
	MILLISECONDS_SINCE_START INTEGER NOT NULL,
	TEST_TIME INTEGER NOT NULL,
	ERRORS INTEGER NOT NULL,
	HTTP_RESPONSE_CODE INTEGER NOT NULL,
	HTTP_RESPONSE_LENGTH INTEGER NOT NULL,
	HTTP_RESPONSE_ERRORS INTEGER NOT NULL,
	TIME_TO_RESOLVE_HOST INTEGER NOT NULL,
	TIME_TO_ESTABLISH_CONNECTION INTEGER NOT NULL,
	TIME_TO_FIRST_BYTE INTEGER NOT NULL);

CREATE INDEX DATA_ID ON DATA (ID);
CREATE INDEX DATA_MILLISECONDS_SINCE_START ON DATA (MILLISECONDS_SINCE_START);
CREATE INDEX DATA_TEST ON DATA (TEST);

CREATE TABLE DESCRIPTIONS (
	ID VARCHAR(255) NOT NULL,
	TEST REAL NOT NULL,
	DESCRIPTION VARCHAR(255) NOT NULL);

CREATE INDEX DESCRIPTIONS_ID ON DESCRIPTIONS (ID);

